<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <title>Player</title>
</head>

<script type="text/javascript">
    function playSong(location) {
        $('audio').attr('src', location);
    }
</script>

<body>
    {% include 'navbar.html' %}
    <div style="background: rgb(12, 36, 12); display:flex; flex-direction:column; justify-content:space-between;padding-top: 100px;">
        .
        <form method="get">
            <div>
                <p style="color: white">search your songs: &emsp; {{ g.search_form.q(size=20) }}</p>
            </div>
        </form>
        {% if music %}
        <div style="width: 100%; display:flex; justify-content:space-around; padding:100px 0;">
            <br>{% for m in music %} {% set location = url_for('static', filename=m.song_file_location) %}
            <div>
                <img height="150px" width="150px" src="{{url_for('static', filename=m.cover_img_location)}}" alt="" /> <br>
                <a style="color:white;" href="javascript:void(0);" onclick="playSong('{{location}}')">{{ m.name }} - {{ m.artist }}</a>
            </div>
            {% endfor %}
        </div>
        {% endif %}
        <div style="width: 100%; display:flex; justify-content:space-around; padding:100px 0;">

            <br>{% for song in songs %} {% set location = url_for('static', filename=song.song_file_location) %}
            <div>
                <img height="150px" width="150px" src="{{url_for('static', filename=song.cover_img_location)}}" alt="" /> <br>
                <a style="color:white;" href="javascript:void(0);" onclick="playSong('{{location}}')">{{ song.name }} - {{ song.artist }}
                    <a href="{{ url_for('static', filename=song.song_file_location) }}">D</a>
                </a>
            </div>
            {% endfor %}
        </div>
        <div style="width: 100%;">
            <audio style="width: 100%;" controls="controls" autoplay="autoplay"></audio>
        </div>
    </div>
    {% include 'footer.html' %}

</body>

</html>